# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   A UML modelling program.
Name:      uml
Version:   1.0.4
Release:   cvs20020612
Copyright: GPL
Vendor:    Paul Hensgen <phensgen@sourceforge.net>
Url:       http://uml.sourceforge.net
Icon:     uml.xpm
Packager:  Paul Hensgen <phensgen@sourceforge.net>
Group:     Development
Source:    uml-1.0.4.tar.gz
BuildRoot: 

%description
A program to Model UML diagrams.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --build=i386-linux --host=i386-linux --target=i386-linux --enable-debug  \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.uml
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.uml
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.uml

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/uml
rm -rf ../file.list.uml


%files -f ../file.list.uml
