#include <kdebug.h>

#include "idchangelog.h"

CIDChangeLog::CIDChangeLog()
{
}

CIDChangeLog::CIDChangeLog(const CIDChangeLog& Other)
{
	m_LogArray = Other.m_LogArray;
}

CIDChangeLog::~CIDChangeLog()
{
}

CIDChangeLog& CIDChangeLog::operator=(const CIDChangeLog& Other)
{
	m_LogArray = Other.m_LogArray;
	
	return *this;	
}

bool CIDChangeLog::operator==(const CIDChangeLog& /*Other*/)
{
	/*It needs to be Implemented*/
	return false;
}

int CIDChangeLog::FindNewID(int OldID)
{
	uint count = m_LogArray.size();
	for(uint i = 0; i < count; i++)
	{
		if((m_LogArray.point(i)).y() ==  OldID)
		{
			return  (m_LogArray.point(i)).x();
		}
	}

	return -1;
}

CIDChangeLog& CIDChangeLog::operator+=(const CIDChangeLog& Other)
{
	//m_LogArray.putpoints(m_LogArray.size(), Other.m_LogArray.size(), Other)
	uint count = Other.m_LogArray.size();
	for(uint i = 0; i < count; i++)
	{
		AddIDChange((Other.m_LogArray.point(i)).y(), (Other.m_LogArray.point(i)).x());
	}

	return *this;
}

void CIDChangeLog::AddIDChange(int OldID, int NewID)
{
	uint pos;
	if(!FindIDChange(OldID, NewID, pos))
	{
		pos = m_LogArray.size();
		m_LogArray.resize(pos + 1);
		m_LogArray.setPoint(pos, NewID, OldID);	
	}
	else
	{
		m_LogArray.setPoint(pos, NewID, OldID);
	}
}

int CIDChangeLog::FindOldID(int NewID)
{
	uint count = m_LogArray.size();
	for(uint i = 0; i < count; i++)
	{
		if((m_LogArray.point(i)).x() ==  NewID)
		{
			return  (m_LogArray.point(i)).y();
		}
	}

	return -1;
}

bool CIDChangeLog::FindIDChange(int OldID, int NewID, uint& pos)
{
	uint count = m_LogArray.size();
	for(uint i = 0; i < count; i++)
	{
		if(((m_LogArray.point(i)).y() ==  OldID) && ((m_LogArray.point(i)).x() ==  NewID))
		{
			pos = i;
			return  true;
		}
	}

	return false;
}

void CIDChangeLog::RemoveChangeByNewID(int OldID)
{
	uint count = m_LogArray.size();
	for(uint i = 0; i < count; i++)
	{
		if((m_LogArray.point(i)).y() ==  OldID)
		{
			m_LogArray.setPoint(i, NullID, OldID);
		}
	}
}
