#ifndef INFOWIDGET_H
#define INFOWIDGET_H

#include <qwidget.h>
/**
	*	This is used to display information to the user when no diagrams
	*	have been displayed.
	*
	*	@short	Displays an information widget.
 	*	@author Paul Hensgen	<phensgen@techie.com>
  *	@version	1.0
  */

class InfoWidget : public QWidget
{
public:
	/**
		*	Constructs an InfoWidget.
		*
		*	@param	parent	The parent of this InfoWidget.
		*	@param	name	The name of this widget.
		*/
	InfoWidget(QWidget *parent=0, const char *name=0);
	
	/**
		*	Standard deconstructor.
		*/
	~InfoWidget();
};

#endif
