#include "kstartuplogo.h"
#include <kapp.h>
#include <kstddirs.h>

KStartupLogo::KStartupLogo(QWidget * parent, const char *name)
: QWidget(parent,name, WStyle_NoBorderEx | WStyle_Customize | WDestructiveClose )
  ,m_bReadyToHide(false)
{
  //pm.load(locate("appdata", "pics/startlogo.png"));
  KStandardDirs * dirs = KGlobal::dirs();
  QString dataDir = dirs -> findResourceDir("data", "uml/pics/object.xpm");
  dataDir += "/uml/pics/";
  QPixmap pm(dataDir + "startlogo.png");
  setBackgroundPixmap(pm);
  setGeometry(QApplication::desktop()->width()/2-pm.width()/2,
              QApplication::desktop()->height()/2-pm.height()/2,
              pm.width(),pm.height());
}

KStartupLogo::~KStartupLogo(){
}
 
void KStartupLogo::mousePressEvent( QMouseEvent*)
{
  // for the haters of raising startlogos
  if (m_bReadyToHide)
    hide();
}


