#ifndef UMLVIEWCANVAS_H
#define UMLVIEWCANVAS_H

#include <qcanvas.h>

/**
  *@author Paul Hensgen
  */
class UMLView;

class UMLViewCanvas : public QCanvas  
{
public: 
	/**
	*		Constructor
	*/
	UMLViewCanvas( UMLView * pView );

	/**
	*		Deconstructor
	*/
	virtual ~UMLViewCanvas();

protected:
	
	/**
	* 		Overrides default method.
	*/
	virtual void drawBackground( QPainter & painter, const QRect & clip );
	/**
	* 		The view the canvas is associated with.
	*/
	UMLView * m_pView;
};

#endif
